Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class Batch

    java.lang.Object
      org.directwebremoting.dwrp.Batch

    public class Batch

extends java.lang.Object

A container for all the by-products of an HttpRequest parse

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`Batch(javax.servlet.http.HttpServletRequest request, boolean crossDomainSessionSecurity, boolean allowGetForSafariButMakeForgeryEasier, java.lang.String sessionCookieName)` Parse an inbound request into a Calls object

Method Summary
`java.util.Map` | `getAllParameters()`
`Calls` | `getCalls()`
`java.lang.String` | `getHttpSessionId()`
`java.util.List` | `getInboundContexts()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getScriptSessionId()`
`java.util.Map` | `getSpareParameters()`
`void` | `setAllParameters(java.util.Map allParameters)`
`void` | `setCalls(Calls calls)`
`void` | `setHttpSessionId(java.lang.String httpSessionId)`
`void` | `setInboundContexts(java.util.List inboundContexts)`
`void` | `setPage(java.lang.String page)`
`void` | `setScriptSessionId(java.lang.String scriptSessionId)`
`void` | `setSpareParameters(java.util.Map spareParameters)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Batch

    public Batch(javax.servlet.http.HttpServletRequest request,
                 boolean crossDomainSessionSecurity,
                 boolean allowGetForSafariButMakeForgeryEasier,
                 java.lang.String sessionCookieName)
          throws ServerException

  Parse an inbound request into a Calls object

  Parameters:
    `request` - The original browser's request
    `crossDomainSessionSecurity` - Are we checking for CSRF attacks
    `allowGetForSafariButMakeForgeryEasier` - Do we allow GET?
    `sessionCookieName` - "JSESSIONID" unless it has been overridden
  Throws:
    `ServerException` - If reading from the request body stream fails

Method Detail

### getAllParameters

    public java.util.Map getAllParameters()

  Returns:
    the allParameters

### setAllParameters

    public void setAllParameters(java.util.Map allParameters)

  Parameters:
    `allParameters` - the allParameters to set

### getInboundContexts

    public java.util.List getInboundContexts()

  Returns:
    the inboundContexts

### setInboundContexts

    public void setInboundContexts(java.util.List inboundContexts)

  Parameters:
    `inboundContexts` - the inboundContexts to set

### getSpareParameters

    public java.util.Map getSpareParameters()

  Returns:
    the spareParameters

### setSpareParameters

    public void setSpareParameters(java.util.Map spareParameters)

  Parameters:
    `spareParameters` - the spareParameters to set

### getPage

    public java.lang.String getPage()

  Returns:
    the page

### setPage

    public void setPage(java.lang.String page)

  Parameters:
    `page` - the page to set

### getScriptSessionId

    public java.lang.String getScriptSessionId()

  Returns:
    the scriptSessionId

### setScriptSessionId

    public void setScriptSessionId(java.lang.String scriptSessionId)

  Parameters:
    `scriptSessionId` - the scriptSessionId to set

### getHttpSessionId

    public java.lang.String getHttpSessionId()

  Returns:
    the httpSessionId

### setHttpSessionId

    public void setHttpSessionId(java.lang.String httpSessionId)

  Parameters:
    `httpSessionId` - the httpSessionId to set

### getCalls

    public Calls getCalls()

  Returns:
    the calls

### setCalls

    public void setCalls(Calls calls)

  Parameters:
    `calls` - the calls to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD